# Get list of bundles

Gets a list of bundles for building a catalog.

Attention. All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response.

Endpoint: GET /v2/project/{project_id}/items/bundle
Version: 1.0.0
Security: AuthForClient

## Path parameters:

  - `project_id` (integer, required)
    Project ID.
    Example: 44056

## Query parameters:

  - `limit` (integer)
    Limit for the number of elements on the page.
    Example: 50

  - `offset` (integer)
    Number of the element from which the list is generated (the count starts from 0).

  - `locale` (string)
    Response language. Two-letter lowercase language code per ISO 639-1.

  - `additional_fields[]` (array)
    The list of additional fields. These fields will be in the response if you send them in your request. Available fields media_list, order, long_description.

  - `country` (string)
    Country to calculate regional prices and restrictions for catalog. Two-letter uppercase country code per ISO 3166-1 alpha-2. If you do not specify the country explicitly, it will be calculated based on user's IP address.

## Response 200 fields (application/json):

  - `items` (array)

  - `items.sku` (string)
    Unique item ID. The SKU may only contain lowercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: "bundle_1"

  - `items.name` (string)
    Item name.
    Example: "Big Rocket"

  - `items.groups` (array)
    Groups the item belongs to.
    Example: [{"external_id":"horror","name":{"en":"Horror"}}]

  - `items.groups.external_id` (string)
    Example: "horror"

  - `items.groups.name` (object)
    Example: {"en":"Horror"}

  - `items.description` (string,null)
    Item description.
    Example: "Big Rocket - description."

  - `items.attributes` (array)
    List of attributes and their values corresponding to the item. Can be used for catalog filtering.

  - `items.attributes.external_id` (string)
    Unique attribute ID. The external_id may only contain lowercase Latin alphanumeric characters, dashes, and underscores.
    Example: "attribute_1"

  - `items.attributes.name` (string)
    Name of attribute.
    Example: "Genre"

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    Unique value ID for an attribute. The external_id may only contain lowercase Latin alphanumeric characters, dashes, and underscores.
    Example: "attribute_value"

  - `items.attributes.values.value` (string)
    Value of attribute.
    Example: "Strategy"

  - `items.type` (string)
    Type of item.
    Example: "bundle"

  - `items.bundle_type` (string)
    Type of bundle. In this case, it is always standart.
    Example: "standart"

  - `items.image_url` (string,null)
    Image URL.
    Example: "https://image.example.com"

  - `items.is_free` (string)
    Always false.
    Example: "false"

  - `items.price` (object,null)
    Item price.

  - `items.price.amount` (string, required)
    Item price with a discount.
    Example: "100.99"

  - `items.price.amount_without_discount` (string, required)
    Item price.
    Example: "100.99"

  - `items.price.currency` (string, required)
    Purchase currency. Three-letter code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: "USD"

  - `items.total_content_price` (object,null)
    Sum of the bundle content prices.

  - `items.total_content_price.amount` (string)
    Sum of the bundle content prices with a discount.
    Example: "100.99"

  - `items.total_content_price.amount_without_discount` (string)
    Sum of the bundle content prices.
    Example: "100.99"

  - `items.total_content_price.currency` (string)
    Purchase currency. Three-letter code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: "USD"

  - `items.virtual_prices` (array)
    Virtual prices.

  - `items.virtual_prices.amount` (integer)
    Item price in virtual currency with a discount.
    Example: 100

  - `items.virtual_prices.amount_without_discount` (integer)
    Item price in virtual currency.
    Example: 200

  - `items.virtual_prices.sku` (string)
    Virtual currency item SKU.
    Example: "gold"

  - `items.virtual_prices.is_default` (boolean)
    Whether the price is default for an item.
    Example: true

  - `items.virtual_prices.image_url` (string,null)
    Image of virtual currency.
    Example: "http://image.png"

  - `items.virtual_prices.name` (string)
    Virtual currency name.
    Example: "Gold"

  - `items.virtual_prices.type` (string)
    Virtual currency type.
    Example: "virtual_currency"

  - `items.virtual_prices.description` (string,null)
    Virtual currency description.
    Example: "Most popular gold"

  - `items.content` (array)
    Bundle package content.
    Example: [{"description":"Big Rocket - short description.","image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","sku":"big_rocket","name":"Big Rocket","type":"virtual_currency","quantity":100,"attributes":[],"is_free":false,"groups":[],"price":{"amount":10.99,"currency":"USD","amount_without_discount":10.99}}]

  - `items.content.sku` (string)
    Unique item ID. The SKU may only contain lowercase Latin alphanumeric characters, dashes, and underscores.
    Example: "big_rocket"

  - `items.content.name` (string)
    Item name.
    Example: "Big Rocket"

  - `items.content.type` (string)
    Type of item: virtual_good/virtual_currency/bundle.
    Example: "virtual_currency"

  - `items.content.description` (string)
    Item description.
    Example: "Big Rocket - description"

  - `items.content.image_url` (string)
    Image URL.
    Example: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"

  - `items.content.quantity` (integer)
    Quantity of item in a package.
    Example: 250

  - `items.content.price` (object,null)
    Item prices.

  - `items.content.price.amount` (string)
    Item price with a discount.
    Example: "100.99"

  - `items.content.price.amount_without_discount` (string)
    Item price.
    Example: "100.99"

  - `items.content.price.currency` (string)
    Default purchase currency. Three-letter code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: "USD"

  - `items.content.virtual_prices` (array)
    Virtual prices.

  - `items.content.virtual_prices.amount` (integer)
    Item price in virtual currency with a discount.
    Example: 100

  - `items.content.virtual_prices.amount_without_discount` (integer)
    Item price.
    Example: 200

  - `items.content.virtual_prices.sku` (string)
    Virtual currency item SKU.
    Example: "vc_test"

  - `items.content.virtual_prices.is_default` (boolean)
    Whether the price is default for an item.
    Example: true

  - `items.content.virtual_prices.image_url` (string)
    Image of virtual currency.
    Example: "http://image.png"

  - `items.content.virtual_prices.name` (string)
    Virtual currency name.
    Example: "SHOTGUN FOR TRUE RAIDERS"

  - `items.content.virtual_prices.type` (string)
    Virtual currency type.
    Example: "virtual_currency"

  - `items.content.virtual_prices.description` (string)
    Virtual currency description.
    Example: "Big Rocket - description"


